# ekkie-de

ekkie-de is my attempt at making a fully featured DE using the i3 window manager. It's designed to be installed with Arch's makepkg or an AUR helper. That way, I (and possibly others), don't have to worry about manually installing dependencies or manually configuring every part of my desktop.

![Screenshot](https://git.ekkie.cyou/ekkie/ekkie-de/raw/branch/main/screenshot.png)


# Features

- XSession file, to make ekkie-de compatible with most Display Managers
- Automatically sets up gnome-keyring (including SSH agent!)
- Automatically starts...
  - dunst (Notifications)
  - picom (Compositor)
  - gnome-polkit (Prettier privilege escalation)
  - ibus (Better keyboard layout management)
  - udiskie (Managing removable devices)
- Supports XDG Autostart using dex
- Supports config overwrites
- Alacritty as default terminal
- maim for screenshots
- rofi for application launching


# Installation

If you're running arch, installation is quite simple. Clone the repository, build and install with makepkg:

```sh
git clone https://git.ekkie.cyou/ekkie/ekkie-de
cd ekkie-de
makepkg -si
```

If you're *not* running arch, make sure you install the dependencies listed in the PKGBUILD file. Then source the PKGBUILD file in your root-shell (make sure your shell supports arrays, like bash or zsh), and run the `package` function.

```sh
# After installing dependencies...
sudo bash
. ./PKGBUILD
package
exit
```

# Configuration

ekkie-de ships its own, custom configuration for the most integral pieces of software under `/etc/ekkie-de/`. These include:

- i3
- i3status
- picom
- dunst

You can overwrite these configs on a per-user basis by putting your own config files into `$XDG_CONFIG_HOME/ekkie-de/`, usually `~/.config/ekkie-de/`. Note that ekkie-de only checks on startup whether config files exist under `$XDG_CONFIG_HOME/ekkie-de/`, so you'll have to restart your session if you added any configs.

Additionally, you can put a symlink under `$XDG_CONFIG_HOME/ekkie-de/wallpaper` pointing to an image and the ekkie-de script will set it as your wallpaper on startup.

Similarly, you can use arandr to create a display-layout shell script and save it under `$XDG_CONFIG_HOME/ekkie-de/screenlayout.sh`, which will automatically get executed by ekkie-de.
